Create Document Type
Create Document Type. All documents have a Document Type that describes the schema that the document must implement and its associated metadata, and is validated whenever a document is created or modified. The immutable types defined out-of-the-box are web_page, entityEditor, document, image, snippets, productContent, categoryContent, pageTemplateContent, emailTemplateContent, and folder.
Authorizations
JWT Authorization header using the Bearer scheme.
Query Parameters
limits which fields are returned in the response body
Body
The schema a document must implement and associated metadata. A documentType is created at a tenant scope and is therefore shared amongst all child contexts (masterCatalog, catalog, site).
The administrative name of the documentType.
The unique identifier of the documentType, represented by name@namespace. The documentTypeFQN must be provided when creating the documentType, or the name and namespace fields must be provided.
Optionally, a documentType can be defined in an installationPackage and then installed into a tenant. Installed documentTypes can only be updated via installation upgrades. Currently only internal Mozu platform components can create installations. This field is system-supplied and read-only.
Allows arbitrary data to be stored on the documentType.
The name component of the documentType, name@namespace. The name must be unique within the namespace component and cannot be updated.
The namespace component of the documentType, name@namespace. The issued dev account namespace must be used unless elevated privileges allow a blank namespace to be used. The namespace cannot be updated.
An array of the schema elements that a document implementing this documentType will have.
The version of the installationPackge installed. This field is read-only.
Response
Success
The schema a document must implement and associated metadata. A documentType is created at a tenant scope and is therefore shared amongst all child contexts (masterCatalog, catalog, site).
The administrative name of the documentType.
The unique identifier of the documentType, represented by name@namespace. The documentTypeFQN must be provided when creating the documentType, or the name and namespace fields must be provided.
Optionally, a documentType can be defined in an installationPackage and then installed into a tenant. Installed documentTypes can only be updated via installation upgrades. Currently only internal Mozu platform components can create installations. This field is system-supplied and read-only.
Allows arbitrary data to be stored on the documentType.
The name component of the documentType, name@namespace. The name must be unique within the namespace component and cannot be updated.
The namespace component of the documentType, name@namespace. The issued dev account namespace must be used unless elevated privileges allow a blank namespace to be used. The namespace cannot be updated.
An array of the schema elements that a document implementing this documentType will have.
The version of the installationPackge installed. This field is read-only.

